% ==============================================
%
% rhs_SingleThresholdTest
%
% CBP 12-10-18 
% Status Devel
%
% ===============================================

function dudt=rhs_SingleThresholdTest(t,u)

% declare the shared global variables 
global tau1 pulseStart pulseEnd pulseHeight I thresh

% create local variable for the dudt's
dudt = zeros(1,1);

% Now the pulse
I = pulse(pulseStart,pulseEnd,pulseHeight,t);

dudt(1) = ( -u(1) + I)/tau1;
o1 = g(u(1),thresh);


endfunction

% Function to be used in the rhs if needed

function retVal = g(x, theta)
  if( x  < theta )
    retVal = 0;
  else
    retVal = 1;
  endif
endfunction

