% =====================================================
%
% rhs_Phase_Lag3.m
% CBP 27-12-21
% Three phase lag neuron
%
% =====================================================

function dudt=rhs_Phase_Lag_3(t,u)
  
global tau period k

dudt = zeros(3,1);
I = sin(2*pi*t/period);
dudt(1) = ( -u(1) + k*I)/tau;
dudt(2) = ( -u(2) + k*u(1))/tau;
dudt(3) = ( -u(3) + k*u(2))/tau;

endfunction