% =====================================================
%
% rhs_Simulate_BB1
%
% Simulation of Vehicle_2b_Test_1 Ellie's BB Vehicle 2b
%
% CBP 23-03-19
%
% =====================================================

function dudt=rhs_Two_Leakys(t,u)
  
global tau a  w12 w21 p

dudt = zeros(2,1);

dudt(1) = ( (a - 1)*u(1) + w12*u(2) + p)/tau;
dudt(2) = ( -u(2) + w21*u(1))/tau;

endfunction

function retval = sig(x,A,B)
  retval = 1/(1+exp(-A*(x-B)));
endfunction